Subject: FW: Permanent Residency - Pinnamaneni Krishnarao
From: [email-masked]
To: [email-masked]
Date: Wed, 31 Oct 2001 09:42:14 -0800 (PST)

FYI  Michelle

 -----Original Message-----
From: 	Daffin, Margaret  
Sent:	Wednesday, October 31, 2001 11:35 AM
To:	Milenia <misoto (E-mail)
Cc:	Cash, Michelle
Subject:	Permanent Residency - Pinnamaneni Krishnarao

Milly:  I have been asked to contact you to determine the status of the Permanent Residency application for Mr. Krishnarao.

On checking an old file for Mr. Krishnarao, I see that you started his Green Card application, based on Outstanding Researcher, in November, 1995.  There are also copies of the I-765 in the file, which I assume means that Mr. Krishnarao is already in the Adjustment of Status stage of the process?

I would appreciate you letting myself and Michelle Cash know where we are with the application at this time?  Hopefully, we are very close to completion! 

Many thanks
Margaret
713-345-1529